IRremoteESP8266

Public Attributes | List of all members
Mitsubishi144Protocol Union Reference

Native representation of a Mitsubishi 144-bit A/C message. More...

`#include <ir_Mitsubishi.h>`

## Public Attributes
uint8_t | raw [kMitsubishiACStateLength]
| The state in code form. More...
struct {
uint8_t pad0 [5]
uint8_t __pad0__:5
uint8_t Power:1
uint8_t __pad1__:2
uint8_t __pad2__:3
uint8_t Mode:3
uint8_t ISee: 1
uint8_t __pad3__:1
uint8_t Temp:4
uint8_t HalfDegree:1
uint8_t __pad4__:3
uint8_t __pad5__:4
uint8_t WideVane:4
uint8_t Fan:3
uint8_t Vane:3
uint8_t VaneBit:1
uint8_t FanAuto:1
uint8_t Clock:8
uint8_t StopClock:8
uint8_t StartClock:8
uint8_t Timer:3
uint8_t WeeklyTimer:1
uint8_t __pad6__:4
uint8_t __pad7__:5
uint8_t Ecocool:1
uint8_t __pad8__:2
uint8_t DirectIndirect:2
uint8_t AbsenseDetect:1
uint8_t __pad9__:2
uint8_t iSave10C:1
uint8_t __pad10__:2
uint8_t __pad11__:1
uint8_t NaturalFlow:1
uint8_t __pad12__:1
uint8_t VaneLeft:3
uint8_t __pad13__:2
uint8_t Sum:8
}; |

## Detailed Description

Native representation of a Mitsubishi 144-bit A/C message.

## Member Data Documentation

## ◆ @86

struct { ... }

## ◆ __pad0__

uint8_t Mitsubishi144Protocol::__pad0__

## ◆ __pad10__

uint8_t Mitsubishi144Protocol::__pad10__

## ◆ __pad11__

uint8_t Mitsubishi144Protocol::__pad11__

## ◆ __pad12__

uint8_t Mitsubishi144Protocol::__pad12__

## ◆ __pad13__

uint8_t Mitsubishi144Protocol::__pad13__

## ◆ __pad1__

uint8_t Mitsubishi144Protocol::__pad1__

## ◆ __pad2__

uint8_t Mitsubishi144Protocol::__pad2__

## ◆ __pad3__

uint8_t Mitsubishi144Protocol::__pad3__

## ◆ __pad4__

uint8_t Mitsubishi144Protocol::__pad4__

## ◆ __pad5__

uint8_t Mitsubishi144Protocol::__pad5__

## ◆ __pad6__

uint8_t Mitsubishi144Protocol::__pad6__

## ◆ __pad7__

uint8_t Mitsubishi144Protocol::__pad7__

## ◆ __pad8__

uint8_t Mitsubishi144Protocol::__pad8__

## ◆ __pad9__

uint8_t Mitsubishi144Protocol::__pad9__

## ◆ AbsenseDetect

uint8_t Mitsubishi144Protocol::AbsenseDetect

## ◆ Clock

uint8_t Mitsubishi144Protocol::Clock

## ◆ DirectIndirect

uint8_t Mitsubishi144Protocol::DirectIndirect

## ◆ Ecocool

uint8_t Mitsubishi144Protocol::Ecocool

## ◆ Fan

uint8_t Mitsubishi144Protocol::Fan

## ◆ FanAuto

uint8_t Mitsubishi144Protocol::FanAuto

## ◆ HalfDegree

uint8_t Mitsubishi144Protocol::HalfDegree

## ◆ iSave10C

uint8_t Mitsubishi144Protocol::iSave10C

## ◆ ISee

uint8_t Mitsubishi144Protocol::ISee

## ◆ Mode

uint8_t Mitsubishi144Protocol::Mode

## ◆ NaturalFlow

uint8_t Mitsubishi144Protocol::NaturalFlow

## ◆ pad0

uint8_t Mitsubishi144Protocol::pad0[5]

## ◆ Power

uint8_t Mitsubishi144Protocol::Power

## ◆ raw

uint8_t Mitsubishi144Protocol::raw[kMitsubishiACStateLength]

The state in code form.

## ◆ StartClock

uint8_t Mitsubishi144Protocol::StartClock

## ◆ StopClock

uint8_t Mitsubishi144Protocol::StopClock

## ◆ Sum

uint8_t Mitsubishi144Protocol::Sum

## ◆ Temp

uint8_t Mitsubishi144Protocol::Temp

## ◆ Timer

uint8_t Mitsubishi144Protocol::Timer

## ◆ Vane

uint8_t Mitsubishi144Protocol::Vane

## ◆ VaneBit

uint8_t Mitsubishi144Protocol::VaneBit

## ◆ VaneLeft

uint8_t Mitsubishi144Protocol::VaneLeft

## ◆ WeeklyTimer

uint8_t Mitsubishi144Protocol::WeeklyTimer

## ◆ WideVane

uint8_t Mitsubishi144Protocol::WideVane

The documentation for this union was generated from the following file:

- src/ir_Mitsubishi.h